org.apache.ignite.internal.client

## Class GridClientAuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.internal.client.GridClientException
      - - org.apache.ignite.internal.client.GridClientAuthenticationException

All Implemented Interfaces:
  Serializable

    public class GridClientAuthenticationException
    extends GridClientException

Exception that represents client authentication failure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientAuthenticationException(String msg)` Creates authentication exception with given error message.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.client.GridClientException

`hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientAuthenticationException

    public GridClientAuthenticationException(String msg)

Creates authentication exception with given error message.

Parameters:
  `msg` - Error message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021